osgViewer::Scene Class Reference

`#include <Scene>`

Inheritance diagram for osgViewer::Scene:

## Public Member Functions

virtual const char * | className () const
void | setSceneData (osg::Node *node)
osg::Node * | getSceneData ()
const osg::Node * | getSceneData () const
void | setDatabasePager (osgDB::DatabasePager *dp)
osgDB::DatabasePager * | getDatabasePager ()
const osgDB::DatabasePager * | getDatabasePager () const
void | setImagePager (osgDB::ImagePager *ip)
osgDB::ImagePager * | getImagePager ()
const osgDB::ImagePager * | getImagePager () const
virtual bool | requiresUpdateSceneGraph () const
virtual void | updateSceneGraph (osg::NodeVisitor &updateVisitor)
virtual bool | requiresRedraw () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Static Public Member Functions

static Scene * | getScene (osg::Node *node)
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Protected Member Functions

| Scene ()
virtual | ~Scene ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Static Protected Member Functions

static Scene * | getOrCreateScene (osg::Node *node)

## Protected Attributes

osg::ref_ptr< osg::Node > | _sceneData
osg::ref_ptr< osgDB::DatabasePager > | _databasePager
osg::ref_ptr< osgDB::ImagePager > | _imagePager
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Friends

class | View

## Detailed Description

Scene holds the higher level reference to a single scene graph.

## Constructor & Destructor Documentation

## Scene()

osgViewer::Scene::Scene | ( |  | ) |

protected

Referenced by getOrCreateScene(), and getScene().

## ~Scene()

virtual osgViewer::Scene::~Scene | ( |  | ) |

protected virtual

## Member Function Documentation

## className()

virtual const char * osgViewer::Scene::className | ( |  | ) | const

inline virtual

## getDatabasePager() [1/2]

osgDB::DatabasePager * osgViewer::Scene::getDatabasePager | ( |  | ) |

inline

References _databasePager.

## getDatabasePager() [2/2]

const osgDB::DatabasePager * osgViewer::Scene::getDatabasePager | ( |  | ) | const

inline

References _databasePager.

## getImagePager() [1/2]

osgDB::ImagePager * osgViewer::Scene::getImagePager | ( |  | ) |

inline

References _imagePager.

## getImagePager() [2/2]

const osgDB::ImagePager * osgViewer::Scene::getImagePager | ( |  | ) | const

inline

References _imagePager.

## getOrCreateScene()

Scene * osgViewer::Scene::getOrCreateScene | ( | osg::Node * | node | ) |

static protected

Get the Scene object that has the specified node assigned to it. or return a new Scene if no Scene has yet been assigned the specified node.

References Scene().

## getScene()

Scene * osgViewer::Scene::getScene | ( | osg::Node * | node | ) |

static

Get the Scene object that has the specified node assigned to it. return 0 if no Scene has yet been assigned the specified node.

References Scene().

## getSceneData() [1/2]

osg::Node * osgViewer::Scene::getSceneData | ( |  | ) |

## getSceneData() [2/2]

const osg::Node * osgViewer::Scene::getSceneData | ( |  | ) | const

## requiresRedraw()

virtual bool osgViewer::Scene::requiresRedraw | ( |  | ) | const

virtual

## requiresUpdateSceneGraph()

virtual bool osgViewer::Scene::requiresUpdateSceneGraph | ( |  | ) | const

virtual

## setDatabasePager()

void osgViewer::Scene::setDatabasePager | ( | osgDB::DatabasePager * | dp | ) |

## setImagePager()

void osgViewer::Scene::setImagePager | ( | osgDB::ImagePager * | ip | ) |

## setSceneData()

void osgViewer::Scene::setSceneData | ( | osg::Node * | node | ) |

## updateSceneGraph()

virtual void osgViewer::Scene::updateSceneGraph | ( | osg::NodeVisitor & | updateVisitor | ) |

virtual

## Friends And Related Symbol Documentation

## View

friend class View

friend

References View.

Referenced by View.

## Member Data Documentation

## _databasePager

osg::ref_ptr<osgDB::DatabasePager> osgViewer::Scene::_databasePager

protected

Referenced by getDatabasePager(), and getDatabasePager().

## _imagePager

osg::ref_ptr<osgDB::ImagePager> osgViewer::Scene::_imagePager

protected

Referenced by getImagePager(), and getImagePager().

## _sceneData

osg::ref_ptr<osg::Node> osgViewer::Scene::_sceneData

protected

The documentation for this class was generated from the following file:

- Scene